package com.ruoyi.interfaces.domain;

public class PtDataImpField {
    private  String fid;
    private String id;
    private String code;
    private String name;
    private String type;
    private String length;
    private String format;
    private String dict;

    private Integer seq;
    private Integer posX;
    private Integer posY;

    public Integer getSeq() {
        return seq;
    }

    public void setSeq(Integer seq) {
        this.seq = seq;
    }

    public Integer getPosX() {
        return posX;
    }

    public void setPosX(Integer posX) {
        this.posX = posX;
    }

    public Integer getPosY() {
        return posY;
    }

    public void setPosY(Integer posY) {
        this.posY = posY;
    }

    public PtDataImpField(String fid, String id, String code, String name, String type, String length, String format, String dict) {
        this.fid = fid;
        this.id = id;
        this.code = code;
        this.name = name;
        this.type = type;
        this.length = length;
        this.format = format;
        this.dict = dict;
    }

    public String getFid() {
        return fid;
    }

    public void setFid(String fid) {
        this.fid = fid;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getLength() {
        return length;
    }

    public void setLength(String length) {
        this.length = length;
    }

    public String getFormat() {
        return format;
    }

    public void setFormat(String format) {
        this.format = format;
    }

    public String getDict() {
        return dict;
    }

    public void setDict(String dict) {
        this.dict = dict;
    }

    @Override
    public String toString() {
        return "PtDataImpField{" +
                "fid='" + fid + '\'' +
                ", id='" + id + '\'' +
                ", code='" + code + '\'' +
                ", name='" + name + '\'' +
                ", type='" + type + '\'' +
                ", length='" + length + '\'' +
                ", format='" + format + '\'' +
                ", dict='" + dict + '\'' +
                '}';
    }

    public PtDataImpField() {
        super();
    }
}
